Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.jms
Class AbstractConnectionFactoryBean

    java.lang.Object
      com.atomikos.jms.AbstractConnectionFactoryBean

All Implemented Interfaces:
  Serializable, javax.jms.ConnectionFactory, Referenceable

Direct Known Subclasses:
  QueueConnectionFactoryBean, TopicConnectionFactoryBean

    public abstract class AbstractConnectionFactoryBean

extends Object
implements Serializable, Referenceable, javax.jms.ConnectionFactory

Common logic for the connection factory beans.

See Also:
  Serialized Form

Field Summary
`protected String` | `resourceName_`
`protected String` | `xaFactoryJndiName_`

Constructor Summary
`protected` | `AbstractConnectionFactoryBean()`

Method Summary
`protected abstract void` | `checkSetup()`
`Reference` | `getReference()`
`String` | `getResourceName()` Get the resource name.
`String` | `getXaFactoryJndiName()` Retrieve the JNDI name where the XAConnectionFactory is expected.
`void` | `init()` Initialization method to register the underlying resource for recovery and other init code.
`void` | `setResourceName(String name)` Set the unique resource name for this factory (required).
`void` | `setXaFactoryJndiName(String name)` Sets the JNDI name of the underlying XAConnectionFactory (optional).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.jms.ConnectionFactory
`createConnection, createConnection`

Field Detail

### resourceName_

    protected String resourceName_

### xaFactoryJndiName_

    protected String xaFactoryJndiName_

Constructor Detail

### AbstractConnectionFactoryBean

    protected AbstractConnectionFactoryBean()

Method Detail

### setXaFactoryJndiName

    public void setXaFactoryJndiName(String name)

  Sets the JNDI name of the underlying XAConnectionFactory (optional). This is optional and an alternative to directly supplying the required factory through setXaConnectionFactory().

  Parameters:
    `name` - The JNDI name where the XAConnectionFactory can be found. It is up to the client to make sure that the name exists and points to an existing XAConnectionFactory.

### getXaFactoryJndiName

    public String getXaFactoryJndiName()

  Retrieve the JNDI name where the XAConnectionFactory is expected.

  Returns:
    String the name or an empty String if not set.

### setResourceName

    public void setResourceName(String name)

  Set the unique resource name for this factory (required). A unique resource name is needed by the transaction service in order to register and recover the underlying XA transactions. Note: the value you set here should not exceed 45 bytes in length.

  MQSeries NOTE: For IBM MQSeries, the name should include MQSeries_XA_RMI or the XA routines will not work properly!

  Parameters:
    `name` - The unique resource name.

### getResourceName

    public String getResourceName()

  Get the resource name.

  Returns:
    String the unique resource name as previously set.

### getReference

    public Reference getReference()
                           throws NamingException

  Specified by:
    `getReference` in interface `Referenceable`
  Throws:
    `NamingException`

### init

    public void init()
              throws javax.jms.JMSException

  Initialization method to register the underlying resource for recovery and other init code.

  Throws:
    `javax.jms.JMSException`

### checkSetup

    protected abstract void checkSetup()
                                throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.